Package com.independentsoft.office.word.fields

# Class TextBoxFormFieldProperties

java.lang.Object
com.independentsoft.office.word.fields.TextBoxFormFieldProperties

public class TextBoxFormFieldProperties extends Object
The Class TextBoxFormFieldProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextBoxFormFieldProperties()`
  Instantiates a new text box form field properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TextBoxFormFieldProperties`
  `clone()`
  `String`
  `getDefault()`
  Gets the default.
  `String`
  `getFormat()`
  Gets the format.
  `int`
  `getMaxLength()`
  Gets the max length.
  `TextBoxFormFieldType`
  `getType()`
  Gets the type.
  `void`
  `setDefault​(String defaultValue)`
  Sets the default.
  `void`
  `setFormat​(String format)`
  Sets the format.
  `void`
  `setMaxLength​(int maxLength)`
  Sets the max length.
  `void`
  `setType​(TextBoxFormFieldType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TextBoxFormFieldProperties

    public TextBoxFormFieldProperties()
    Instantiates a new text box form field properties.

- ## Method Details

  - ### clone

    public TextBoxFormFieldProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDefault

    public String getDefault()
    Gets the default.
    Returns:
      the default

  - ### setDefault

    public void setDefault​(String defaultValue)
    Sets the default.
    Parameters:
      `defaultValue` - the new default

  - ### getFormat

    public String getFormat()
    Gets the format.
    Returns:
      the format

  - ### setFormat

    public void setFormat​(String format)
    Sets the format.
    Parameters:
      `format` - the new format

  - ### getMaxLength

    public int getMaxLength()
    Gets the max length.
    Returns:
      the max length

  - ### setMaxLength

    public void setMaxLength​(int maxLength)
    Sets the max length.
    Parameters:
      `maxLength` - the new max length

  - ### getType

    public TextBoxFormFieldType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(TextBoxFormFieldType type)
    Sets the type.
    Parameters:
      `type` - the new type